Derive Spec
curl --request POST \
--url https://api.example.com/api/v1/refinements/{refinement_id}/derive-spec \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/refinements/{refinement_id}/derive-spec"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/refinements/{refinement_id}/derive-spec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acceptance_criteria": [
"<string>"
],
"assignee_id": "<string>",
"board_id": "<string>",
"context": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"functional_requirements": [
"<string>"
],
"id": "<string>",
"labels": [
"<string>"
],
"status": "draft",
"technical_requirements": [
"<string>"
],
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"api_contracts": [
{
"id": "<string>",
"method": "<string>",
"path": "<string>",
"description": "",
"linked_requirements": [
"<string>"
],
"linked_rules": [
"<string>"
],
"linked_task_ids": [
"<string>"
],
"notes": "<string>",
"request_body": {},
"response_errors": [
{}
],
"response_success": {}
}
],
"architecture_designs": [],
"archived": false,
"business_rules": [
{
"id": "<string>",
"rule": "<string>",
"then": "<string>",
"title": "<string>",
"when": "<string>",
"linked_requirements": [
"<string>"
],
"linked_task_ids": [
"<string>"
],
"notes": "<string>"
}
],
"cards": [],
"decisions": [
{
"id": "<string>",
"rationale": "<string>",
"title": "<string>",
"alternatives_considered": [
"<string>"
],
"context": "<string>",
"linked_requirements": [
"<string>"
],
"linked_task_ids": [
"<string>"
],
"notes": "<string>",
"status": "active",
"supersedes_decision_id": "<string>"
}
],
"ideation_id": "<string>",
"knowledge_bases": [],
"pre_archive_status": "<string>",
"qa_items": [],
"refinement_id": "<string>",
"screen_mockups": [
{
"id": "<string>",
"title": "<string>",
"annotations": [
{
"id": "<string>",
"text": "<string>",
"author_id": "<string>"
}
],
"description": "<string>",
"html_content": "",
"order": 0,
"screen_type": "page"
}
],
"skip_contract_coverage": false,
"skip_decisions_coverage": false,
"skip_rules_coverage": false,
"skip_test_coverage": false,
"skip_trs_coverage": false,
"test_scenarios": [
{
"id": "<string>",
"title": "<string>",
"given": "",
"linked_criteria": [
"<string>"
],
"linked_task_ids": [
"<string>"
],
"notes": "<string>",
"scenario_type": "integration",
"status": "draft",
"then": "",
"when": ""
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}refinements
Derive Spec
Derive a spec from a refinement.
POST
/
api
/
v1
/
refinements
/
{refinement_id}
/
derive-spec
Derive Spec
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Schema for full spec response.
Spec lifecycle status.
Available options:
draft, review, approved, validated, in_progress, done, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026
⌘I